<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//create shortcode

add_shortcode( 'pricelist', 'spl_shortcode_pricelist' );
function spl_shortcode_pricelist( $atts, $content = null ) {
	extract(
		shortcode_atts(
			array(
				'id' => '',

			),
			$atts
		)
	);

	/* you can use following enqueue in a shortcode to load as required */

	wp_enqueue_style( 'spl-list-style' );
	wp_enqueue_style( 'spl-bootstrap-min' );
	// wp_enqueue_script( 'spl-bootstrap-min' );
	wp_enqueue_script( 'spl-pricelist-tabs' );
	wp_enqueue_script( 'spl-pricelist-jquery-wookmark' );

	wp_enqueue_style( 'font-awwsone' );
	ob_start();
	include dirname( __FILE__ ) . '/pricelist-frontend.php';
	return ob_get_clean();

}



function spl_js_css_enqueue_scripts( $hook ) {
	// wp_register_script( 'spl-bootstrap-min', SPL_URL . 'assets/lib/bootstrap-3.3.5/dist/js/stylish-price-list-bootstrap.min.js', array( 'jquery' ), STYLISH_PRICE_LIST_VERSION, true );
	wp_register_script( 'spl-pricelist-admin-core', SPL_URL . 'assets/js/pricelist-admin-core.js', array( 'jquery' ), STYLISH_PRICE_LIST_VERSION, true );
	wp_register_script( 'spl-pricelist-jquery-wookmark', SPL_URL . 'assets/js/jquery.wookmark.js', array( 'jquery' ), STYLISH_PRICE_LIST_VERSION, true );
	wp_register_script( 'spl-pricelist-admin', SPL_URL . 'assets/js/pricelist-admin.js', array( 'jquery', 'wp-color-picker', 'jquery-ui-sortable' ), STYLISH_PRICE_LIST_VERSION, true );
	wp_register_style( 'spl-bootstrap-min', SPL_URL . 'assets/lib/bootstrap-3.3.5/dist/css/stylish-price-list-style.min.css', array(), STYLISH_PRICE_LIST_VERSION );
	wp_register_style( 'spl-list-style', SPL_URL . 'assets/css/frontend-style.css', array(), STYLISH_PRICE_LIST_VERSION );
	wp_register_style( 'font-awwsone', SPL_URL . 'assets/font-awesome/css/font-awesome.min.css', array(), STYLISH_PRICE_LIST_VERSION );
	wp_register_script( 'spl-pricelist-tabs', SPL_URL . 'assets/js/tabs.js', array( 'jquery' ), STYLISH_PRICE_LIST_VERSION, true );
	// get advanced settings
	$advancedSettings = get_option(
		'spl_extra_settings',
		array(
			'load-style-all-pages' => false,
		)
	);
	if ( $advancedSettings['load-style-all-pages'] == 'on' && ! is_admin() ) {
		wp_enqueue_style( 'spl-list-style' );
		wp_enqueue_style( 'spl-bootstrap-min' );
		// wp_enqueue_script( 'spl-bootstrap-min' );
		wp_enqueue_script( 'spl-pricelist-tabs' );

		wp_enqueue_style( 'font-awwsone' );
	}
}



function spl_js_css_enqueue_scripts_admin( $hook ) {
	// wp_register_script( 'spl-bootstrap-min', SPL_URL . 'assets/lib/bootstrap-3.3.5/dist/js/stylish-price-list-bootstrap.min.js', array( 'jquery' ), STYLISH_PRICE_LIST_VERSION, true );
	wp_register_script( 'spl-pricelist-admin-core', SPL_URL . 'assets/js/pricelist-admin-core.js', array( 'jquery' ), STYLISH_PRICE_LIST_VERSION, true );
	wp_register_script( 'spl-pricelist-jquery-wookmark', SPL_URL . 'assets/js/jquery.wookmark.js', array( 'jquery' ), STYLISH_PRICE_LIST_VERSION, true );
	wp_register_script( 'spl-pricelist-admin', SPL_URL . 'assets/js/pricelist-admin.js', array( 'jquery', 'wp-color-picker', 'jquery-ui-sortable' ), STYLISH_PRICE_LIST_VERSION, true );
	//    wp_register_style('spl-bootstrap-min', SPL_URL . 'assets/lib/bootstrap-3.3.5/dist/css/stylish-price-list-style.min.css');
	//    wp_register_style('spl-list-style', SPL_URL . 'assets/css/frontend-style.css');
	wp_register_style( 'font-awwsone', SPL_URL . 'assets/font-awesome/css/font-awesome.min.css', array(), STYLISH_PRICE_LIST_VERSION );
	wp_register_script( 'spl-pricelist-tabs', SPL_URL . 'assets/js/tabs.js', array( 'jquery' ), STYLISH_PRICE_LIST_VERSION, true );
}

add_action( 'wp_enqueue_scripts', 'spl_js_css_enqueue_scripts' );
add_action( 'admin_enqueue_scripts', 'spl_js_css_enqueue_scripts_admin' );

function add_stylesheet_admin_spl( $hook ) {
	$spl_pages = [
		"stylish-price-list_page_stylish_price_list_video",
		"stylish-price-list_page_stylish_price_list_settings",
		"stylish-price-list_page_stylish_price_list_help",
		"stylish-price-list_page_spl-tabs-diagnostic",
		"stylish-price-list_page_spl-tabs-new",
		"toplevel_page_spl-tabs"
	];
	// call spl style to spl pages only
	if ( in_array( $hook, $spl_pages ) ) {
		wp_enqueue_style( 'spl-bootstrap-min', SPL_URL . 'assets/lib/bootstrap-3.3.5/dist/css/stylish-price-list-style.min.css', array(), STYLISH_PRICE_LIST_VERSION );
		wp_enqueue_style( 'spl-list-style', SPL_URL . 'assets/css/frontend-style.css', array(), STYLISH_PRICE_LIST_VERSION );
		wp_enqueue_style( 'spl-admin-style', SPL_URL . 'assets/css/admin-style.css', array(), STYLISH_PRICE_LIST_VERSION );
		wp_enqueue_style( 'spl-sweetalert', SPL_URL . 'assets/css/sweetalert2.min.css', array(), STYLISH_PRICE_LIST_VERSION );
		wp_enqueue_script( 'spl-sweetalert', SPL_URL . 'assets/js/sweetalert2.all.js', array(), STYLISH_PRICE_LIST_VERSION );
		// wp_enqueue_script( 'jquery-ui-dialog' );
		wp_enqueue_script( 'jquery-ui-tooltip' );
	}
}
add_action( 'admin_enqueue_scripts', 'add_stylesheet_admin_spl' );
